Subject: Re: Is it possible to move emacs from one computer to another?
From: Joe Buehler <[email-masked]>
To: [email-masked]
Date: Thu, 05 Feb 2004 12:23:39 -0500

Charles Plager wrote:

> 1) Do I just get the source from http://ftp.gnu.org/pub/gnu/emacs/?

No -- get the Cygwin src package for emacs.

> 2) Are there special cygwin build procedures?  When I typed 'configure' 
> (a script that came with emacs), it simply said:
> cplager@pointyjr> configure
> loading cache ./config.cache
> checking host system type... i686-pc-cygwin
> configure: error: Emacs hasn't been ported to `i686-pc-cygwin' systems.
> Check `etc/MACHINES' for recognized configuration names.

Use the script that comes with the Cygwin emacs source, it applies
the relevant patches.

> 3) When past hurdle #2, how do I force a debug build? (simply
> 'make DEBUG=yes'?)?

I believe the script builds with debug by default -- check the script.
-- 
Joe Buehler

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/